> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/pam/it/concepts/password-propagation.md).

# Propagazione delle password

La **propagazione delle password** è un'azione personalizzabile in un provider Devolutions PAM che viene eseguita dopo la [rotazione delle password](/pam/it/concepts/password-rotation.md). È implementata come [script PowerShell](/pam/it/concepts/action-script.md) opzionale, consentendo agli amministratori di automatizzare specifiche attività di follow-up necessarie dopo la modifica di una credenziale.

Questa flessibilità aiuta a gestire scenari in cui le credenziali aggiornate devono essere trasmesse a sistemi o software esterni. Ad esempio, la propagazione delle password può aggiornare le password memorizzate nei [servizi Windows](https://github.com/Devolutions/PAM-Providers/tree/master/Propagation-Scripts/windows_service), nelle attività pianificate, oppure sincronizzare i segreti con piattaforme come [Azure Key Vault come segreti](https://github.com/Devolutions/PAM-Providers/tree/master/Propagation-Scripts/azure_key_vault). Può essere utilizzata anche per scopi di notifica o [conformità](/pam/it/concepts/compliance-reporting.md), attivando ticket dell'helpdesk o inviando avvisi tramite servizi come [Slack](https://github.com/Devolutions/PAM-Providers/tree/master/Propagation-Scripts/slack_message) o [Microsoft Teams](https://github.com/Devolutions/PAM-Providers/tree/master/Propagation-Scripts/teams_message).

Supportando la propagazione delle password, Devolutions PAM migliora i flussi di lavoro successivi alla rotazione, garantendo che i sistemi rimangano sincronizzati e che le operazioni proseguano senza interruzioni.

{% embed url="<https://youtu.be/TjvE-nubPXY>" %}

#### Alias della propagazione delle password

* Sincronizzazione delle password
* Script post-rotazione
* Script di propagazione
* Script post-rotazione

#### Argomenti correlati

* [Script di propagazione delle password (Devolutions Server)](/pam/it/pam-with-devolutions-server/password-propagation-scripts.md)
* [Importare un modello di propagazione delle password (Devolutions Server)](/pam/it/pam-with-devolutions-server/password-propagation-scripts/import-a-password-propagation-template.md)

#### Vedere anche

* [Creare un modello di script (Devolutions Server)](/pam/it/pam-with-devolutions-server/password-propagation-scripts/create-a-script-template.md)
* [Provider (Devolutions Server)](/pam/it/pam-with-devolutions-server/providers.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/pam/it/concepts/password-propagation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
